/* -*- indent-tabs-mode: t; tab-width: 8; c-basic-offset: 8; -*- */

#ifndef __SECTOR
#define __SECTOR

#include "libburn.h"
#include "transport.h"

struct burn_drive;

int dec_to_bcd(int);

void sector_toc(struct burn_write_opts *, int mode);
void sector_pregap(struct burn_write_opts *, unsigned char tno,
                   unsigned char control, int mode);
void sector_postgap(struct burn_write_opts *, unsigned char tno,
                    unsigned char control, int mode);
void sector_lout(struct burn_write_opts *, unsigned char control,
                 int mode);
void sector_data(struct burn_write_opts *, struct burn_track *t, int prelout);
void sector_headers(struct burn_write_opts *, unsigned char *,
                    int mode, int leadin);
int sector_cook(struct burn_write_opts *, unsigned char *);
void sector_subcodes(struct burn_write_opts *,
                     unsigned char *s, struct burn_track *t,
                     int prelout);

int sector_identify(unsigned char *);

void process_q(struct burn_drive *d, unsigned char *q);

int burn_msf_to_lba(int m, int s, int f);
void burn_lba_to_msf(int lba, int *m, int *s, int *f);


#endif /* __SECTOR */
